## mgp 1.13a%2Bupstream20090219

=== debian/control ===
Source: mgp
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 13), bison, cpp, devscripts,
 flex, gawk | awk, libfontconfig1-dev, libfreetype6-dev, libgif-dev,
 libice-dev, libimlib2-dev, libjpeg-dev, libmng-dev, libpng-dev,
 libsm-dev, libtiff-dev, libx11-dev, libxext-dev, libxft-dev,
 libxkbfile-dev, libxmu-dev, libxrender-dev, libxt-dev, libxtst-dev,
 pkg-config, sharutils, x11proto-core-dev, x11proto-render-dev,
 x11proto-xext-dev, xutils-dev, zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://member.wide.ad.jp/wg/mgp/

Package: mgp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 perl | perl5, libperl4-corelibs-perl | perl (<< 5.12.3-7)
Recommends: libjpeg-progs, netpbm, pnmtopng, sharutils
Suggests: asiya24-vfont, emacsen-common, fonts-freefont-ttf,
 fonts-ipafont-gothic | fonts-japanese-gothic, fonts-ipafont-mincho |
 fonts-japanese-mincho, fonts-opensymbol, ghostscript, gsfonts-x11,
 texlive
Description: MagicPoint — an X11-based presentation tool
 MagicPoint is an X11-based presentation tool. It is designed to make
 simple presentations easy while to make complicated presentations
 possible. Its presentation file (whose suffix is typically .mgp) is
 just text so that you can create presentation files quickly with your
 favorite editor (e.g. Emacs or jupp).
