## mgp 1.13a+upstream20090219

=== debian/changelog ===
mgp (1.13a+upstream20090219-14) unstable; urgency=medium

  * It’s time to drop defoma calls; preinst handles cleanup
  * fonts-urw-base35 transition (Closes: #1020367)
  * Drop unused devscripts B-D (Closes: #1110286)
  * Fix FTBFS with GCC 15 which defaults to C23 (Closes: #1097390)
    by using -std=gnu99 in the old codebase, the new is prototypised
  * Bump Policy; add comments pointing out old vs. new packaging
  * Change libfreetype-dev B-D to match forky/sid target

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 26 Aug 2025 20:08:15 +0000

mgp (1.13a+upstream20090219-12) unstable; urgency=medium

  * Quick keep-in-testing upload before mgp 1.2/2.0 is ready
  * d/p/957539.diff: Rename yy* variables to mgp* (Closes: #957539)
  * Move from debhelper compat 5 to 13 (Closes: #965721)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 17:12:24 +0200

mgp (1.13a+upstream20090219-11) unstable; urgency=low

  * Also hardcode /bin/gzip, for mgpembed, should fix reproducibility

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 16 Feb 2019 21:48:50 +0100

mgp (1.13a+upstream20090219-10) unstable; urgency=low

  * Hardcode /bin/gunzip path to build reproducibly
  * Use verbose build, drop ancient debian/rules targets

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 05 Feb 2019 19:26:31 +0100

mgp (1.13a+upstream20090219-9) unstable; urgency=medium

  * The “I’m *so* going to regret this later…” upload
  * Adopt the package (Closes: #509644)
    - quick bugfix only, I’ll import into VCS and do general
      modernisation as soon as I have time, as I need mgp working n̲o̲w̲
    - yes, I’ve seen the bug list, but I have a workshop this weekend
    - clean up debian/control a bit while here
  * Begin cleaning up the debian/rules mess
    - update CPPFLAGS/CFLAGS/LDFLAGS and configure handling from jupp
    - rely on dh_strip
    - quell some compiler warnings to focus on actual bugs (for now)
    - do not “compile a file without optimisation because it’s slow”
  * Refresh all patches; introduce compiler warning fix patch
  * Fix “debian/rules clean”
  * Actually use our CPPFLAGS, CFLAGS, LDFLAGS
  * Add a patch to fix a couple of segfaults or weird behaviour
    stemming from bad cast or uninitialised memory
  * Add a patch to fix guide rendering somewhat
  * Integrate lintian’s spelling corrections
  * Install manpages with the correct section (1, not 1x)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 26 Oct 2018 00:34:14 +0200

mgp (1.13a+upstream20090219-8) unstable; urgency=medium

  * QA upload.
  * Fix postrm.  (Closes: #808309)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 May 2016 19:03:19 +0200

mgp (1.13a+upstream20090219-7) unstable; urgency=medium

  * QA upload.
  * Switch build-dependency on libpng12-0-dev to libpng-dev (Closes: #809839).
  * Add missing dependency on ${misc:Depends}.
  * Add missing debian/rules targets.
  * Update obsolete config.{guess,sub} (fixes FTBFS on arm64).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 08 Jan 2016 23:54:31 +0100

mgp (1.13a+upstream20090219-6) unstable; urgency=low

  * QA upload.
  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Oct 2012 13:32:17 +0100

mgp (1.13a+upstream20090219-5) unstable; urgency=low

  * QA upload.
  * debian/control
    - use appropriate font package (ttf -> fonts transition)
    - use fonts-ipafont-{gothic,mincho} and fonts-japanese-{gothic,mincho}
      instead of kochi and sazanami

 -- Hideki Yamane <henrich@debian.org>  Fri, 14 Sep 2012 07:49:56 +0900

mgp (1.13a+upstream20090219-4) unstable; urgency=low

  * QA upload.
  * Add Depends on libperl4-corelibs-perl (Closes: #659426)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 18 Mar 2012 12:23:13 +0000

mgp (1.13a+upstream20090219-3) unstable; urgency=low

  * QA upload
  * Change build-depenency on libjpeg62-dev to libjpeg-dev (closes: #634276)
  * Migrate to source format 3.0 (quilt):
    - add debian/source/format
    - drop explicit patching/unpatching from debian/rules
    - drop build-dependency on quilt

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jul 2011 20:34:52 +0200

mgp (1.13a+upstream20090219-2) unstable; urgency=low

  * QA upload.
  * Fix "mgp segfaults on existing mgp files and all the supplied
    examples"; add new patch from Alex Perry (closes: #568339).

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Feb 2010 23:20:20 +0100

mgp (1.13a+upstream20090219-1) unstable; urgency=low

  * QA upload.
  * New upstream snapshot.
    + Removes need for imlib. (Closes: #456128).
  * Build without m17n. (Closes: #510966, #400105).
    + Upstream says m17n support is unstable.
  * Drop 01_mgp2html.diff patch.  Committed upstream.
  * Drop 03_README_lang.diff patch.  Committed upstream.
  * 05_rakugaki_cursor.diff. (Closes: #344033).
    + Use better background colors and cursor for rakugaki mode.
    + Thanks to Alessandro Rubini for the patch.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 22 Feb 2009 11:26:32 -0500

mgp (1.13a-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release. (Closes: #478184).
  * Change libungif4-dev build-dep to libgif-dev.
  * Change gs suggests to ghostscript.
  * Change tetex-bin suggests to texlive.
  * Make distclean not ignore errors.
  * Remove empty /usr/sbin dir.
  * Move dh_makeshlibs before dh_installdeb.
  * Change `pwd` to $(CURDIR) in rules.
  * Remove language extension from scripts in /usr/bin. (Policy 10.4).
  * Add Homepage field.
  * Add watch file.
  * Add quilt patch system.
    + Move old inline patches to quilt where necessary.
  * 04_tex2eps_bashism.diff: Fix bashism. (Closes: #486050).
    + Thanks to Vincent Zweije for the patch.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 23 Dec 2008 23:23:03 -0500

mgp (1.11b-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Test disabling imlib.


