=== debian/control ===
Source: mgp
Section: x11
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 13), bison, cpp,
 flex, gawk | awk, libfontconfig1-dev, libfreetype-dev, libgif-dev,
 libice-dev, libimlib2-dev, libjpeg-dev, libmng-dev, libpng-dev,
 libsm-dev, libtiff-dev, libx11-dev, libxext-dev, libxft-dev,
 libxkbfile-dev, libxmu-dev, libxrender-dev, libxt-dev, libxtst-dev,
 pkg-config, sharutils, x11proto-core-dev, x11proto-render-dev,
 x11proto-xext-dev, xutils-dev, zlib1g-dev
Standards-Version: 4.7.2
# for the old packaging to err on safe side…
Rules-Requires-Root: binary-targets
Homepage: http://member.wide.ad.jp/wg/mgp/

Package: mgp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 perl | perl5, libperl4-corelibs-perl | perl (<< 5.12.3-7)
Recommends: libjpeg-progs, netpbm, pnmtopng, sharutils
Suggests: asiya24-vfont, emacsen-common, fonts-freefont-ttf,
 fonts-ipafont-gothic | fonts-japanese-gothic, fonts-ipafont-mincho |
 fonts-japanese-mincho, fonts-opensymbol, fonts-urw-base35, ghostscript,
 texlive
Description: MagicPoint — an X11-based presentation tool
 MagicPoint is an X11-based presentation tool. It is designed to make
 simple presentations easy while to make complicated presentations
 possible. Its presentation file (whose suffix is typically .mgp) is
 just text so that you can create presentation files quickly with your
 favorite editor (e.g. Emacs or jupp).
