=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 EXTRA_CPPFLAGS+=-D_GNU_SOURCE		# for asprintf(3)
 EXTRA_CFLAGS+=	-Wall -Wformat
 #EXTRA_CFLAGS+=	-Wextra
-EXTRA_LDFLAGS=	-Wl,--as-needed
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 EXTRA_CFLAGS+=	-Og -g3
 endif
@@ -31,6 +30,8 @@
 EXTRA_CFLAGS+=	-Wno-pointer-sign
 EXTRA_CFLAGS+=	-Wno-unused-function
 EXTRA_CFLAGS+=	-Wno-unused-result
+# prototypisation done in the new upstream branch
+EXTRA_CFLAGS+=	-std=gnu99
 
 DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
 DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
@@ -62,6 +63,11 @@
 MAKE_ARGS+=		CXXDEBUGFLAGS=$(call shellescape,${CXXFLAGS})
 MAKE_ARGS+=		LOCAL_LDFLAGS=$(call shellescape,${LDFLAGS})
 MAKE_ARGS+=		PROJECTMANSUFFIX=
+
+# Note to other DDs seeing this: This is the old packaging for
+# magicpoint; I’ve got a new packaging using dh7-style as is
+# these days recommended, but that’s for a new upstream, which
+# is not ready yet. Keep this, for now, since it works good enough.
 
 build-arch: build-stamp
 build-stamp:
