=== debian/watch ===
version=3

ftp://sh.wide.ad.jp/WIDE/free-ware/mgp/magicpoint-([\d.]+[a-z])\.tar\.gz
